InsuranceClaim/Controllers/BirthdayMessageController.cs
using AutoMapper;
using Insurance.Domain;
using InsuranceClaim.Models;
using Microsoft.AspNet.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace InsuranceClaim.Controllers
{
    public class BirthdayMessageController : Controller
    {
        // GET: BirthdayMessage
        public ActionResult Index()
        {
            return View();
        }
 
        [HttpGet]
        public ActionResult SendBirthdayMessage()
        {
            var record = InsuranceContext.BirthdayMessages.All().FirstOrDefault();

            if (record != null)
            {
                var model = Mapper.Map<BirthdayMessage, BirthdayMessageModel>(record);
                return View(model);
            }
            return View();
        }

        [HttpPost]
        public ActionResult SendBirthdayMessage(BirthdayMessageModel Model)
        {
            if (ModelState.IsValid)
            {
                bool userLoggedin = (System.Web.HttpContext.Current.User != null) && System.Web.HttpContext.Current.User.Identity.IsAuthenticated;
                string userid = "";
                var recordExist = InsuranceContext.BirthdayMessages.All().FirstOrDefault();
                userid = System.Web.HttpContext.Current.User.Identity.GetUserId();
                var customer = InsuranceContext.Customers.Single(where: $"UserId = '{userid}'");
                if (recordExist != null)
                {
                    if (userLoggedin)
                    {
                        var dbModel = Mapper.Map<BirthdayMessageModel, BirthdayMessage>(Model);
                        var record = InsuranceContext.BirthdayMessages.Single(where: $"Id = '{recordExist.Id}'");
                        dbModel.ModifiedBy = customer.Id;
                        dbModel.ModifiedOn = DateTime.Now;
                        dbModel.Id = recordExist.Id;
                        dbModel.CreatedOn = Convert.ToDateTime(record.CreatedOn);
                        InsuranceContext.BirthdayMessages.Update(dbModel);
                        return RedirectToAction("SendBirthdayMessage");
                    }
                }

                else
                {
                    var dbModel = Mapper.Map<BirthdayMessageModel, BirthdayMessage>(Model);
                    dbModel.CreatedBy = customer.Id;
                    dbModel.CreatedOn = DateTime.Now;
                    InsuranceContext.BirthdayMessages.Insert(dbModel);
                    return RedirectToAction("SendBirthdayMessage");
                }
            }
            return View();
        }
    }
}

InsuranceClaim/Views/BirthdayMessage/SendBirthdayMessage.cshtml
@model InsuranceClaim.Models.BirthdayMessageModel
@{
    ViewBag.Title = "SendBirthdayMessage";
    Layout = "~/Views/Shared/_InsuranceMain.cshtml";
}

<div class="body-content-section">
    <div class="form-section-top">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 form-section-col">
                    <div class="form-group-section">
                        <div class="form-title">
                            <h4>Send Birthday Message</h4>
                        </div>
                        <div class="form-group-input">
                            @using (Html.BeginForm("SendBirthdayMessage", "BirthdayMessage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                                <div class="row">
                                    <div class="col-sm-6 col-md-6 form-group-text">
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.Message, new { @class = "gender-label" })
                                            @*@Html.TextBoxFor(x => x.Message, new { @class = "form-control", @autocomplete = "off", @placeholder = "Enter Message", @Id = "txtBirthdaysMessage" })*@


                                            @Html.TextAreaFor(x => x.Message, new { @class = "form-control", @autocomplete = "off", @placeholder = "Enter Message", @Id = "txtBirthdaysMessage", rows = "5", cols = "20" })

                                            @Html.ValidationMessageFor(x => x.Message, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                                </div>

                                <br />
                                <div class="col-md-12 next-btn">
                                    <div class="row">
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-left">
                                                @*<button type="button" class="btn" onclick="window.location.href='@Url.Action("SendBirthdayMessage", "BirthdayMessage")'">Cancel</button>*@
                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-md-6">
                                            <div class="text-right">
                                                <button type="submit" class="btn">Add</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>